package net.wanji.opt.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Kent HAN
 * @date 2023/6/9 13:52
 */
@Data
@ApiModel(value = "MainlineSchemeEvaluateBO", description = "干线方案评价")
public class MainlineSchemeEvaluateBO {
    @ApiModelProperty(value = "方案名称")
    private String greenwaveName;

    @ApiModelProperty(value = "方向名称")
    private String dirName;

    @ApiModelProperty(value = "指标名称")
    private String metricName;

    @ApiModelProperty(value = "分析时段开始时间 格式 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    @ApiModelProperty(value = "分析时段结束时间 格式 yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    @ApiModelProperty(value = "是否用于城市大脑")
    private Integer isCityBrain;

}
